import os
import unittest
from shutil import rmtree


class TestInterfaceGenerator(unittest.TestCase):

    def _changeWorkingDirToCurrent(self):
        # Get script absoult path and set it as current work dir
        abspath = os.path.abspath(__file__)
        dname = os.path.dirname(abspath)
        os.chdir(dname)

    @classmethod
    def setUpClass(cls) -> None:
        cls._changeWorkingDirToCurrent(cls)
        params = "-s pp_vault_files/ -r dia_hth_dep -o output_folder/"
        os.system("python3.7 ../../Scripts/InterfaceGenerator.py " + params)

    @classmethod
    def tearDownClass(cls) -> None:
        if os.path.exists("vault.pkl"):
            os.remove("vault.pkl")
        if os.path.exists("output_folder"):
            rmtree("output_folder")

    def test_expect_vault(self):
        self.assertEqual(os.path.exists("vault.pkl"), True, msg="The vault.pkl haven't been created")

    def test_expect_outputs_folder(self):
        self.assertEqual(os.path.exists("output_folder"), True, msg="The output_folder haven't been created")




if __name__ == '__main__':
    unittest.main()
